E-MailRelay

Public Member Functions | Public Attributes | List of all members
GSmtp::ServerProtocol::Config Struct Reference

A structure containing configuration parameters for ServerProtocol. More...

`#include <gsmtpserverprotocol.h>`

## Public Member Functions
| Config (bool with_vrfy, unsigned int filter_timeout, std::size_t max_size, bool authentication_requires_encryption, bool mail_requires_encryption, bool tls_starttls, bool tls_connection)
Config & | set_with_vrfy (bool=true)
Config & | set_filter_timeout (unsigned int)
Config & | set_max_size (std::size_t)
Config & | set_authentication_requires_encryption (bool=true)
Config & | set_mail_requires_encryption (bool=true)
Config & | set_disconnect_on_max_size (bool=true)
Config & | set_tls_starttls (bool=true)
Config & | set_tls_connection (bool=true)
Config & | set_ignore_eager_quit (bool=true)
Config & | set_allow_pipelining (bool=true)

## Public Attributes
bool | with_vrfy {false}
unsigned int | filter_timeout {0U}
std::size_t | max_size {0U}
bool | authentication_requires_encryption {false}
bool | mail_requires_encryption {false}
bool | disconnect_on_max_size {false}
bool | tls_starttls {false}
bool | tls_connection {false}
bool | ignore_eager_quit {false}
bool | allow_pipelining {false}

## Detailed Description

A structure containing configuration parameters for ServerProtocol.

Definition at line 93 of file gsmtpserverprotocol.h.

## Constructor & Destructor Documentation

## ◆ Config()

GSmtp::ServerProtocol::Config::Config | ( | bool | with_vrfy,
|  | unsigned int | filter_timeout,
|  | std::size_t | max_size,
|  | bool | authentication_requires_encryption,
|  | bool | mail_requires_encryption,
|  | bool | tls_starttls,
|  | bool | tls_connection
| ) |  |

Definition at line 1072 of file gsmtpserverprotocol.cpp.

## Member Function Documentation

## ◆ set_allow_pipelining()

GSmtp::ServerProtocol::Config & GSmtp::ServerProtocol::Config::set_allow_pipelining | ( | bool | b = `true` | ) |
| inline

Definition at line 395 of file gsmtpserverprotocol.h.

## ◆ set_authentication_requires_encryption()

GSmtp::ServerProtocol::Config & GSmtp::ServerProtocol::Config::set_authentication_requires_encryption | ( | bool | b = `true` | ) |
| inline

Definition at line 390 of file gsmtpserverprotocol.h.

## ◆ set_disconnect_on_max_size()

GSmtp::ServerProtocol::Config & GSmtp::ServerProtocol::Config::set_disconnect_on_max_size | ( | bool | b = `true` | ) |
| inline

Definition at line 392 of file gsmtpserverprotocol.h.

## ◆ set_filter_timeout()

GSmtp::ServerProtocol::Config & GSmtp::ServerProtocol::Config::set_filter_timeout | ( | unsigned int | t | ) |
| inline

Definition at line 388 of file gsmtpserverprotocol.h.

## ◆ set_mail_requires_encryption()

GSmtp::ServerProtocol::Config & GSmtp::ServerProtocol::Config::set_mail_requires_encryption | ( | bool | b = `true` | ) |
| inline

Definition at line 391 of file gsmtpserverprotocol.h.

## ◆ set_max_size()

GSmtp::ServerProtocol::Config & GSmtp::ServerProtocol::Config::set_max_size | ( | std::size_t | n | ) |
| inline

Definition at line 389 of file gsmtpserverprotocol.h.

## ◆ set_tls_connection()

GSmtp::ServerProtocol::Config & GSmtp::ServerProtocol::Config::set_tls_connection | ( | bool | b = `true` | ) |
| inline

Definition at line 394 of file gsmtpserverprotocol.h.

## ◆ set_tls_starttls()

GSmtp::ServerProtocol::Config & GSmtp::ServerProtocol::Config::set_tls_starttls | ( | bool | b = `true` | ) |
| inline

Definition at line 393 of file gsmtpserverprotocol.h.

## ◆ set_with_vrfy()

GSmtp::ServerProtocol::Config & GSmtp::ServerProtocol::Config::set_with_vrfy | ( | bool | b = `true` | ) |
| inline

Definition at line 387 of file gsmtpserverprotocol.h.

## Member Data Documentation

## ◆ allow_pipelining

bool GSmtp::ServerProtocol::Config::allow_pipelining {false}

Definition at line 104 of file gsmtpserverprotocol.h.

## ◆ authentication_requires_encryption

bool GSmtp::ServerProtocol::Config::authentication_requires_encryption {false}

Definition at line 98 of file gsmtpserverprotocol.h.

## ◆ disconnect_on_max_size

bool GSmtp::ServerProtocol::Config::disconnect_on_max_size {false}

Definition at line 100 of file gsmtpserverprotocol.h.

## ◆ filter_timeout

unsigned int GSmtp::ServerProtocol::Config::filter_timeout {0U}

Definition at line 96 of file gsmtpserverprotocol.h.

## ◆ ignore_eager_quit

bool GSmtp::ServerProtocol::Config::ignore_eager_quit {false}

Definition at line 103 of file gsmtpserverprotocol.h.

## ◆ mail_requires_encryption

bool GSmtp::ServerProtocol::Config::mail_requires_encryption {false}

Definition at line 99 of file gsmtpserverprotocol.h.

## ◆ max_size

std::size_t GSmtp::ServerProtocol::Config::max_size {0U}

Definition at line 97 of file gsmtpserverprotocol.h.

## ◆ tls_connection

bool GSmtp::ServerProtocol::Config::tls_connection {false}

Definition at line 102 of file gsmtpserverprotocol.h.

## ◆ tls_starttls

bool GSmtp::ServerProtocol::Config::tls_starttls {false}

Definition at line 101 of file gsmtpserverprotocol.h.

## ◆ with_vrfy

bool GSmtp::ServerProtocol::Config::with_vrfy {false}

Definition at line 95 of file gsmtpserverprotocol.h.

The documentation for this struct was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gsmtpserverprotocol.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gsmtpserverprotocol.cpp